cdbisdn.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "cdb/isdn_cdb.h"`
`#include "cdb/cdb_hwdb.h"`

## Macros

#define | debprintf(a...)

## Typedefs

typedef int(* | fcmp) (const void *, const void *)

## Functions

static int | init_cdbisdn (void)
static int | compare_type (cdb_isdn_vario *v1, cdb_isdn_vario *v2)
static int | compare_id (const int *c1, const int *c2)
cdb_isdn_vendor * | hd_cdbisdn_get_vendor (int handle)
cdb_isdn_card * | hd_cdbisdn_get_card (int handle)
cdb_isdn_vario * | hd_cdbisdn_get_vario_from_type (int typ, int subtyp)
cdb_isdn_card * | hd_cdbisdn_get_card_from_type (int typ, int subtyp)
cdb_isdn_card * | hd_cdbisdn_get_card_from_id (int vendor, int device, int subvendor, int subdevice)
cdb_isdn_vario * | hd_cdbisdn_get_vario (int handle)
int | hd_cdbisdn_get_version (void)
int | hd_cdbisdn_get_db_version (void)
char * | hd_cdbisdn_get_db_date (void)

## Variables

static int | CDBISDN_vendor_cnt
static int | CDBISDN_card_cnt
static int | CDBISDN_vario_cnt
static int | CDBISDN_name_size
static char * | CDBISDN_names
static cdb_isdn_vendor * | cdb_isdnvendor_info
static cdb_isdn_card * | cdb_isdncard_info
static int * | cdb_isdncard_idsorted
static cdb_isdn_vario * | cdb_isdnvario_info
static int | cdb_dbversion
static char | cdb_date [32]
static char | line [1024]
static int | CDBISDN_readhwdb

## Macro Definition Documentation

## debprintf

#define debprintf | ( |  | a... | ) |

Referenced by hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_vario_from_type(), and init_cdbisdn().

## Typedef Documentation

## fcmp

typedef int(* fcmp) (const void *, const void *)

## Function Documentation

## compare_id()

int compare_id | ( | const int * | c1,
|  | const int * | c2 )

static

References cdb_isdncard_info.

## compare_type()

int compare_type | ( | cdb_isdn_vario * | v1,
|  | cdb_isdn_vario * | v2 )

static

References cdb_isdn_vario::subtyp, and cdb_isdn_vario::typ.

## init_cdbisdn()

int init_cdbisdn | ( | void |  | ) |

static

References cdb_date, cdb_dbversion, cdb_isdncard_idsorted, cdb_isdncard_idsorted_init, cdb_isdncard_info, cdb_isdncard_info_init, cdb_isdnvario_info, cdb_isdnvario_info_init, cdb_isdnvendor_info, cdb_isdnvendor_info_init, CDBISDN_card_cnt, CDBISDN_DATE, CDBISDN_DBVERSION, CDBISDN_HWDB_FILE, CDBISDN_name_size, CDBISDN_names, CDBISDN_readhwdb, CDBISDN_vario_cnt, CDBISDN_vendor_cnt, debprintf, device, firmware, info, interface, IWHREC_TYPE_CARD_COUNT, IWHREC_TYPE_CARD_IDSORTED, IWHREC_TYPE_CARD_RECORD, IWHREC_TYPE_DATE, IWHREC_TYPE_NAME_COUNT, IWHREC_TYPE_NAME_DATA, IWHREC_TYPE_NAME_SIZE, IWHREC_TYPE_VARIO_COUNT, IWHREC_TYPE_VARIO_RECORD, IWHREC_TYPE_VENDOR_COUNT, IWHREC_TYPE_VENDOR_RECORD, IWHREC_TYPE_VERSION, line, line_cnt, revision, vario, and vendor.

Referenced by hd_cdbisdn_get_card(), hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_card_from_type(), hd_cdbisdn_get_db_date(), hd_cdbisdn_get_db_version(), hd_cdbisdn_get_vario(), hd_cdbisdn_get_vario_from_type(), hd_cdbisdn_get_vendor(), and hd_cdbisdn_get_version().

## Variable Documentation

## cdb_date

char cdb_date[32]

static

Referenced by hd_cdbisdn_get_db_date(), and init_cdbisdn().

## cdb_dbversion

int cdb_dbversion

static

Referenced by hd_cdbisdn_get_db_version(), and init_cdbisdn().

## cdb_isdncard_idsorted

int* cdb_isdncard_idsorted

static

Referenced by hd_cdbisdn_get_card_from_id(), and init_cdbisdn().

## cdb_isdncard_info

cdb_isdn_card* cdb_isdncard_info

static

Referenced by compare_id(), hd_cdbisdn_get_card(), hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_card_from_type(), and init_cdbisdn().

## cdb_isdnvario_info

cdb_isdn_vario* cdb_isdnvario_info

static

Referenced by hd_cdbisdn_get_vario(), hd_cdbisdn_get_vario_from_type(), and init_cdbisdn().

## cdb_isdnvendor_info

cdb_isdn_vendor* cdb_isdnvendor_info

static

Referenced by hd_cdbisdn_get_vendor(), and init_cdbisdn().

## CDBISDN_card_cnt

int CDBISDN_card_cnt

static

Referenced by hd_cdbisdn_get_card(), hd_cdbisdn_get_card_from_id(), and init_cdbisdn().

## CDBISDN_name_size

int CDBISDN_name_size

static

Referenced by init_cdbisdn().

## CDBISDN_names

char* CDBISDN_names

static

Referenced by init_cdbisdn().

## CDBISDN_readhwdb

int CDBISDN_readhwdb

static

Referenced by hd_cdbisdn_get_card(), hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_card_from_type(), hd_cdbisdn_get_db_date(), hd_cdbisdn_get_db_version(), hd_cdbisdn_get_vario(), hd_cdbisdn_get_vario_from_type(), hd_cdbisdn_get_vendor(), hd_cdbisdn_get_version(), and init_cdbisdn().

## CDBISDN_vario_cnt

int CDBISDN_vario_cnt

static

Referenced by hd_cdbisdn_get_vario(), hd_cdbisdn_get_vario_from_type(), and init_cdbisdn().

## CDBISDN_vendor_cnt

int CDBISDN_vendor_cnt

static

Referenced by hd_cdbisdn_get_vendor(), and init_cdbisdn().

## line

char line[1024]

static

Referenced by add_hd_entry(), hd_manual_read_entry_old(), init_cdbisdn(), main(), and read_cdroms().